Mailinglist Archive: libyui-commit (28 mails)

< Previous Next >
[libyui-commit] Build failed in Jenkins: libyui-qt-graph-master #1
  • From: admin@xxxxxxxxxxxx
  • Date: Fri, 21 Feb 2014 15:15:19 +0100 (CET)
  • Message-id: <236326422.8.1392992119013.JavaMail.jenkins@ci-opensuse>
See <http://ci.opensuse.org/job/libyui-qt-graph-master/1/>

------------------------------------------
[...truncated 419 lines...]
[ 10s] libSM6-1.2.2-3.4
########################################
[ 10s] libXt6-1.1.4-3.4
########################################
[ 10s] libQt5DBus5-5.2.1-1.3
########################################
[ 10s] libqt5-qtbase-common-devel-5.2.1-1.3
########################################
[ 10s] libQt5Core-devel-5.2.1-1.3
########################################
[ 11s] libqt4-4.8.5-10.1
########################################
[ 11s] libltdl7-2.4.2-12.4
########################################
[ 11s] libQt5Xml5-5.2.1-1.3
########################################
[ 11s] gtk2-tools-2.24.22-3.1
########################################
[ 11s] update-alternatives: using /usr/bin/gtk-update-icon-cache-2.0 to
provide /usr/bin/gtk-update-icon-cache (gtk-update-icon-cache) in auto mode
[ 11s] libgtk-2_0-0-2.24.22-3.1
########################################
[ 11s] tcl-8.6.1-1.4
########################################
[ 11s] tcl-devel-8.6.1-1.4
########################################
[ 12s] libqt5-qtbase-doc-5.2.1-1.3
########################################
[ 12s] libQt5Xml-devel-5.2.1-1.3
########################################
[ 12s] unixODBC-2.3.2-1.1
########################################
[ 12s] libQt5Sql5-unixODBC-5.2.1-1.3
########################################
[ 12s] libqt4-sql-4.8.5-10.1
########################################
[ 12s] libQt5DBus-devel-5.2.1-1.3
########################################
[ 12s] libQt5Network5-5.2.1-1.3
########################################
[ 12s] libQt5Network-devel-5.2.1-1.3
########################################
[ 12s] libQt5Concurrent5-5.2.1-1.3
########################################
[ 12s] libQt5Concurrent-devel-5.2.1-1.3
########################################
[ 12s] libQt5Test5-5.2.1-1.3
########################################
[ 12s] libQt5Test-devel-5.2.1-1.3
########################################
[ 12s] libpq5-9.3.2-2.1
########################################
[ 12s] libQt5Sql5-postgresql-5.2.1-1.3
########################################
[ 12s] autoconf-2.69-9.4
########################################
[ 12s] automake-1.13.4-4.1
########################################
[ 12s] libtool-2.4.2-12.4
########################################
[ 12s] libXss1-1.2.2-8.4
########################################
[ 12s] libxcb-render-util0-0.3.8-8.4
########################################
[ 12s] libXpm4-3.5.11-3.4
########################################
[ 12s] libXmuu1-1.1.2-3.4
########################################
[ 12s] xhost-1.0.6-3.4
########################################
[ 12s] tk-8.6.1-2.2
########################################
[ 12s] tk-devel-8.6.1-2.2
########################################
[ 12s] libmysqlclient18-5.5.33-3.1
########################################
[ 12s] libQt5Sql5-mysql-5.2.1-1.3
########################################
[ 12s] libxcb-util1-0.3.9-10.4
########################################
[ 12s] libxcb-image0-0.3.9-8.4
########################################
[ 12s] libxcb-icccm4-0.4.0-1.1
########################################
[ 12s] expat-2.1.0-13.4
########################################
[ 12s] libturbojpeg0-8.0.2-27.1
########################################
[ 13s] libjpeg8-devel-8.0.2-27.1
########################################
[ 13s] libsqlite3-0-3.8.3.1-1.1
########################################
[ 13s] libQt5Sql5-sqlite-5.2.1-1.3
########################################
[ 13s] libQt5Sql-devel-5.2.1-1.3
########################################
[ 13s] libmtdev1-1.1.4-2.1
########################################
[ 13s] libQt5Gui5-5.2.1-1.3
########################################
[ 13s] libQt5Gui-devel-5.2.1-1.3
########################################
[ 13s] libQt5Widgets5-5.2.1-1.3
########################################
[ 13s] libQt5Widgets-devel-5.2.1-1.3
########################################
[ 13s] libQt5X11Extras5-5.2.1-1.1
########################################
[ 13s] libQt5PrintSupport5-5.2.1-1.3
########################################
[ 13s] libQt5PrintSupport-devel-5.2.1-1.3
########################################
[ 13s] libQt5OpenGL5-5.2.1-1.3
########################################
[ 13s] libQt5OpenGL-devel-5.2.1-1.3
########################################
[ 13s] libQt5Svg5-5.2.1-1.1
########################################
[ 13s] liblcms1-1.19-17.1
########################################
[ 13s] libmng1-1.0.10-112.4
########################################
[ 13s] libasound2-1.0.27.2-8.1
########################################
[ 14s] libqt4-x11-4.8.5-10.1
########################################
[ 14s] libyui-qt6-2.44.0-3.4
########################################
[ 14s] xbitmaps-1.1.1-10.4
########################################
[ 14s] libXmu6-1.1.2-3.4
########################################
[ 14s] libXaw7-1.0.12-3.4
########################################
[ 15s] graphviz-2.34.0-2.1
########################################
[ 15s] graphviz-devel-2.34.0-2.1
########################################
[ 15s] libyui-qt-devel-2.44.0-3.4
########################################
[ 15s] libqt5-qtsvg-devel-5.2.1-1.1
########################################
[ 15s] libqt5-qtbase-devel-5.2.1-1.3
########################################
[ 15s] libqt5-qtx11extras-devel-5.2.1-1.1
########################################
[ 15s] removing nis flags from
/var/tmp/build-root-openSUSE_Factory/etc/nsswitch.conf...
[ 15s] now finalizing build dir...
[ 16s] -----------------------------------------------------------------
[ 16s] I have the following modifications for libyui-qt-graph.spec:
[ 16s] 20c20
[ 16s] < Release: 0
[ 16s] ---
[ 16s] > Release: 1
[ 16s] -----------------------------------------------------------------
[ 16s] ----- building libyui-qt-graph.spec (user abuild)
[ 16s] -----------------------------------------------------------------
[ 16s] -----------------------------------------------------------------
[ 16s] + exec rpmbuild -ba --define '_srcdefattr (-,root,root)' --nosignature
/home/abuild/rpmbuild/SOURCES/libyui-qt-graph.spec
[ 16s] Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.yA20eW
[ 16s] + umask 022
[ 16s] + cd /home/abuild/rpmbuild/BUILD
[ 16s] + cd /home/abuild/rpmbuild/BUILD
[ 16s] + rm -rf libyui-qt-graph-2.44.1
[ 16s] + /usr/bin/bzip2 -dc
/home/abuild/rpmbuild/SOURCES/libyui-qt-graph-2.44.1.tar.bz2
[ 16s] + /bin/tar -xf -
[ 16s] + STATUS=0
[ 16s] + '[' 0 -ne 0 ']'
[ 16s] + cd libyui-qt-graph-2.44.1
[ 16s] + /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
[ 16s] + exit 0
[ 16s] Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.kwYdJz
[ 16s] + umask 022
[ 16s] + cd /home/abuild/rpmbuild/BUILD
[ 16s] + /usr/bin/rm -rf
/home/abuild/rpmbuild/BUILDROOT/libyui-qt-graph-2.44.1-1.x86_64
[ 16s] ++ dirname
/home/abuild/rpmbuild/BUILDROOT/libyui-qt-graph-2.44.1-1.x86_64
[ 16s] + /usr/bin/mkdir -p /home/abuild/rpmbuild/BUILDROOT
[ 16s] + /usr/bin/mkdir
/home/abuild/rpmbuild/BUILDROOT/libyui-qt-graph-2.44.1-1.x86_64
[ 16s] + cd libyui-qt-graph-2.44.1
[ 16s] + export 'CFLAGS=-fmessage-length=0 -grecord-gcc-switches -O2 -Wall
-D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables
-fasynchronous-unwind-tables -DNDEBUG'
[ 16s] + CFLAGS='-fmessage-length=0 -grecord-gcc-switches -O2 -Wall
-D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables
-fasynchronous-unwind-tables -DNDEBUG'
[ 16s] + export 'CXXFLAGS=-fmessage-length=0 -grecord-gcc-switches -O2 -Wall
-D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables
-fasynchronous-unwind-tables -DNDEBUG'
[ 16s] + CXXFLAGS='-fmessage-length=0 -grecord-gcc-switches -O2 -Wall
-D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables
-fasynchronous-unwind-tables -DNDEBUG'
[ 16s] + ./bootstrap.sh /usr
[ 16s] checking for /usr/share/libyui/buildtools/CMakeLists.common...
[ 16s] OK: linked to
/home/abuild/rpmbuild/BUILD/libyui-qt-graph-2.44.1/./CMakeLists.txt.
[ 16s] + mkdir build
[ 16s] + cd build
[ 16s] + cmake .. -DPREFIX=/usr -DDOC_DIR=/usr/share/doc/packages
-DLIB_DIR=lib64 -DCMAKE_BUILD_TYPE=RELEASE
[ 16s] -- The C compiler identification is GNU 4.8.2
[ 16s] -- The CXX compiler identification is GNU 4.8.2
[ 16s] -- Check for working C compiler: /usr/bin/cc
[ 16s] -- Check for working C compiler: /usr/bin/cc -- works
[ 16s] -- Detecting C compiler ABI info
[ 16s] -- Detecting C compiler ABI info - done
[ 16s] -- Check for working CXX compiler: /usr/bin/c++
[ 16s] -- Check for working CXX compiler: /usr/bin/c++ -- works
[ 16s] -- Detecting CXX compiler ABI info
[ 16s] -- Detecting CXX compiler ABI info - done
[ 16s] -- Found Libyui: (Version: 3.0.13)
[ 16s] -- Found Libyui-qt: (Version: 2.44.0)
[ 16s] -- gvc found
[ 16s] -- cgraph found
[ 16s] -- cdt found
[ 16s] -- USE_C_STD not set, defaulting to gnu99
[ 16s] -- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)
[ 16s] --
[ 16s] --
********************************************************************************
[ 16s] --
[ 16s] -- libyui-qt-graph has been configured with following options:
[ 16s] --
[ 16s] -- Plugin-Name: qt-graph
[ 16s] -- Extension-Name:
[ 16s] -- Library-Dependencies:
Qt5Core;Qt5Gui;Qt5Widgets;Libyui;Libyui-qt
[ 16s] -- Plugin is for use with:
[ 16s] -- targetlib to build: yui-qt-graph
[ 16s] --
[ 16s] -- Version: 2.44.1
[ 16s] -- SO-Version: 6.0.0
[ 16s] --
[ 16s] -- Used Build-Option: RELEASE
[ 16s] -- Used Compiler-Flags: -fmessage-length=0
-grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector
-funwind-tables -fasynchronous-unwind-tables -DNDEBUG -std=c++0x
-fmessage-length=0 -Wall -Werror -O3
[ 16s] -- linking against: gvc;cgraph;cdt
[ 16s] -- using includes from:
/usr/include/graphviz;/usr/include/yui/qt;/usr/include/yui
[ 16s] --
[ 16s] --
[ 16s] -- Install to Prefix: /usr
[ 16s] -- use Shared-Dir: /usr/share
[ 16s] -- use Library-Dir: /usr/lib64/yui
[ 16s] -- use Include-Dir:
/usr/include/yui/qt-graph
[ 16s] -- use CMake Plugin-InstallDir:
/usr/lib64/cmake/libyui-qt-graph
[ 16s] -- use Doc-Dir:
/usr/share/doc/packages/libyui-qt-graph6
[ 16s] -- Data-Dir: /usr/share/libyui
[ 16s] -- Theme-Dir: /usr/share/libyui/theme
[ 16s] --
[ 16s] -- Disable shared library: OFF
[ 16s] -- Include Debug-Symbols in library: OFF
[ 16s] -- Build a static library, too: OFF
[ 16s] -- Build the examples, too: ON
[ 16s] --
[ 16s] --
********************************************************************************
[ 16s] --
[ 16s] -- Configuring done
[ 16s] -- Generating done
[ 16s] -- Build files have been written to:
/home/abuild/rpmbuild/BUILD/libyui-qt-graph-2.44.1/build
[ 16s] + make -j2
[ 16s] Scanning dependencies of target SimpleCreate
[ 16s] Scanning dependencies of target yui-qt-graph_automoc
[ 17s] [ 12%] [ 25%] Building CXX object
examples/CMakeFiles/SimpleCreate.dir/SimpleCreate.cc.o
[ 17s] Automoc for target yui-qt-graph
[ 17s] Generating QY2Graph.moc
[ 17s] /home/abuild/rpmbuild/BUILD/libyui-qt-graph-2.44.1/src/QY2Graph.cc:0:
Note: No relevant classes found. No output generated.
[ 17s] Generating YQGraph.moc
[ 17s] /home/abuild/rpmbuild/BUILD/libyui-qt-graph-2.44.1/src/YQGraph.cc:0:
Note: No relevant classes found. No output generated.
[ 17s] Generating moc_QY2Graph.cpp
[ 17s] Generating moc_YQGraph.cpp
[ 17s] [ 25%] Built target yui-qt-graph_automoc
[ 17s] Scanning dependencies of target SimpleLoad
[ 17s] [ 37%] Building CXX object
examples/CMakeFiles/SimpleLoad.dir/SimpleLoad.cc.o
[ 17s] Linking CXX executable SimpleCreate
[ 17s] [ 37%] Built target SimpleCreate
[ 17s] Scanning dependencies of target yui-qt-graph
[ 18s] [ 50%] Building CXX object
src/CMakeFiles/yui-qt-graph.dir/QY2Graph.cc.o
[ 18s] Linking CXX executable SimpleLoad
[ 18s] [ 50%] Built target SimpleLoad
[ 18s] [ 62%] Building CXX object src/CMakeFiles/yui-qt-graph.dir/YQGraph.cc.o
[ 18s] In file included from
/home/abuild/rpmbuild/BUILD/libyui-qt-graph-2.44.1/src/YQGraph.cc:34:0:
[ 18s] /usr/include/yui/qt/YQApplication.h:29:24: fatal error: Qt/qobject.h:
No such file or directory
[ 18s] #include <Qt/qobject.h>
[ 18s] ^
[ 18s] compilation terminated.
[ 18s] src/CMakeFiles/yui-qt-graph.dir/build.make:80: recipe for target
'src/CMakeFiles/yui-qt-graph.dir/YQGraph.cc.o' failed
[ 18s] make[2]: *** [src/CMakeFiles/yui-qt-graph.dir/YQGraph.cc.o] Error 1
[ 18s] make[2]: *** Waiting for unfinished jobs....
[ 19s] CMakeFiles/Makefile2:141: recipe for target
'src/CMakeFiles/yui-qt-graph.dir/all' failed
[ 19s] make[1]: *** [src/CMakeFiles/yui-qt-graph.dir/all] Error 2
[ 19s] Makefile:136: recipe for target 'all' failed
[ 19s] make: *** [all] Error 2
[ 19s] error: Bad exit status from /var/tmp/rpm-tmp.kwYdJz (%build)
[ 19s]
[ 19s]
[ 19s] RPM build errors:
[ 19s] Bad exit status from /var/tmp/rpm-tmp.kwYdJz (%build)
Building libyui-qt-graph.spec for openSUSE_Factory/x86_64
Getting buildinfo from server and store to
<http://ci.opensuse.org/job/libyui-qt-graph-master/ws/devel>:libraries:libyui/libyui-qt-graph/.osc/_buildinfo-openSUSE_Factory-x86_64.xml
Getting buildconfig from server and store to
<http://ci.opensuse.org/job/libyui-qt-graph-master/ws/devel>:libraries:libyui/libyui-qt-graph/.osc/_buildconfig-openSUSE_Factory-x86_64
Updating cache of required packages
6.2% cache miss. 303/323 dependencies cached.

1/20 (openSUSE:Factory) graphviz-devel-2.34.0-2.1.x86_64.rpm
2/20 (openSUSE:Factory) libtool-2.4.2-12.4.x86_64.rpm
3/20 (openSUSE:Factory) expat-2.1.0-13.4.x86_64.rpm
4/20 (openSUSE:Factory) tcl-devel-8.6.1-1.4.x86_64.rpm
5/20 (openSUSE:Factory) tk-devel-8.6.1-2.2.x86_64.rpm
6/20 (openSUSE:Factory) graphviz-2.34.0-2.1.x86_64.rpm
7/20 (openSUSE:Factory) automake-1.13.4-4.1.noarch.rpm
8/20 (openSUSE:Factory) tcl-8.6.1-1.4.x86_64.rpm
9/20 (openSUSE:Factory) tk-8.6.1-2.2.x86_64.rpm
10/20 (openSUSE:Factory) libXt6-1.1.4-3.4.x86_64.rpm
11/20 (openSUSE:Factory) libXmu6-1.1.2-3.4.x86_64.rpm
12/20 (openSUSE:Factory) autoconf-2.69-9.4.noarch.rpm
13/20 (openSUSE:Factory) libXss1-1.2.2-8.4.x86_64.rpm
14/20 (openSUSE:Factory) xhost-1.0.6-3.4.x86_64.rpm
15/20 (openSUSE:Factory) xbitmaps-1.1.1-10.4.noarch.rpm
16/20 (openSUSE:Factory) libXmuu1-1.1.2-3.4.x86_64.rpm
17/20 (openSUSE:Factory) libXaw7-1.0.12-3.4.x86_64.rpm
18/20 (openSUSE:Factory) libXpm4-3.5.11-3.4.x86_64.rpm
19/20 (openSUSE:Factory) libjpeg8-devel-8.0.2-27.1.x86_64.rpm
20/20 (openSUSE:Factory) libturbojpeg0-8.0.2-27.1.x86_64.rpm
Skipping verification of package signatures
Writing build configuration
Running build

The buildroot was: /var/tmp/build-root-openSUSE_Factory
rm -rf devel:libraries:libyui
rake aborted!
Command failed with status (1): [osc build --no-verify --release=1 --root=/...]

Tasks: TOP => osc:build
(See full trace by running task with --trace)
cleaning
Build step 'Execute shell' marked build as failure
--
To unsubscribe, e-mail: libyui-commit+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: libyui-commit+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
Follow Ups